package javax.management.monitor;

import javax.management.ObjectName;

public interface MonitorMBean
{
    public abstract void start();
    
    public abstract void stop();
    
    public abstract void addObservedObject(ObjectName p0) throws IllegalArgumentException;
    
    public abstract void removeObservedObject(ObjectName p0);
    
    public abstract boolean containsObservedObject(ObjectName p0);
    
    public abstract ObjectName[] getObservedObjects();
    
    @Deprecated
    public abstract ObjectName getObservedObject();
    
    @Deprecated
    public abstract void setObservedObject(ObjectName p0);
    
    public abstract String getObservedAttribute();
    
    public abstract void setObservedAttribute(String p0);
    
    public abstract long getGranularityPeriod();
    
    public abstract void setGranularityPeriod(long p0) throws IllegalArgumentException;
    
    public abstract boolean isActive();
}
